/**
 * 手写签字
 */
function open_PenSigner() {
    //alert("打开签名板");
    $("#writeclearButton").show();
    $("#writeokButton").show();
    $("#writeopenButton").hide();
    $("#sxqianming").attr('height', "200px");
    send_command(
            "Use_PenSigner",
            function (receivedData) {
                var photoBean = JSON.parse(receivedData);
                if (photoBean.status == 100 && photoBean.isover == 0) {
                    $("#sxqianming").attr('src', "data:image/jpeg;base64," + photoBean.imgStr);//签名
                    $("#QianMing").val("data:image/jpeg;base64," + photoBean.imgStr);
                } else if (photoBean.status == 100 && photoBean.isover == 1) {
                    //确认、清除按钮隐藏，显示重签打开按钮
                    $("#writeokButton").hide();
                    $("#writeclearButton").hide();
                    $("#writeopenButton").val("重签");
                    $("#writeopenButton").show();
                } else {
                    //logger(receivedData);
                    alert(receivedData);
                }
            });
}

//关闭手写板
function Close_PenSigner1() {
    window.external.pensigner_close();
    
    //确认、清除按钮隐藏，显示重签打开按钮
    $("#writeokButton").hide();
    $("#writeclearButton").hide();
    $("#writeopenButton").val("重签");
    $("#writeopenButton").show();
}